// Aroon
// www.investopedia.com/terms/a/aroon.asp
// www.onlinetradingconcepts.com/TechnicalAnalysis/Aroon.html
// daytrading.about.com/od/indicators/a/Aroon.htm

function init()
{
  
   with (Aroon) {
     createParameter("Period", 14);

     createBuffer("AroonDown");
     setBufferColor("AroonDown", '#0000FF');
     setBufferDrawStyle("AroonDown", DrawStyle.LINE);

     createBuffer("AroonUp");
     setBufferColor("AroonUp", '#00FFFF');
     setBufferDrawStyle("AroonUp", DrawStyle.LINE);

     createParameter("Level", 75);

     Aroon.max = 110
     Aroon.min = 0
   }
}

function start()
{

 var Period = Aroon.parameter("Period")

   with (Aroon) {
        label = "Aroon Up/Down (" + Period + ")";
        removeAllLevels();
        addLevel(Aroon.parameter("Level"), "#1FFF00");
   }

    var num = Shared.numberOfQuotes();
    var bufAroonUp = new Array(num);
    var bufAroonDown = new Array(num);

    var bufMax = Shared.high();
    var bufMin = Shared.low();


    for (var j = Period; j <= num; ++j)  {

          var max = 0;
          var min = 0;

          var NumMax = bufMax[j - Period];
          var NumMin = bufMin[j - Period];
 
       for (var i = 1; i <= (Period - 1); ++i)  {

          if ( bufMax[j - Period + i] >= NumMax) {
             max = i;
             NumMax = bufMax[j - Period +i];
            }

          if ( bufMin[j- Period + i] <= NumMin) {
             min = i;
             NumMin = bufMin[j - Period + i];
            }
       }
     
       bufAroonUp[j-1]   = ((Period - (Period - 1 - max)) / Period) * 100 ;
       bufAroonDown[j-1] = ((Period - (Period - 1 - min)) / Period) * 100 ;
 }

    Aroon.setBufferData("AroonUp", bufAroonUp);
    Aroon.setBufferData("AroonDown", bufAroonDown);
}

